# $Revision: 1.28 $, $Date: 2008/10/12 16:10:19 $
# TODO locale file
Summary:	Bluetooth PIN manager for GNOME
Summary(pl.UTF-8):	Zarządca kodów PIN Bluetootha dla GNOME
Name:		bluez-gnome
Version:	1.8
Release:	1
License:	GPL v2+
Group:		X11/Applications
#Source0Download: http://www.bluez.org/download.html
Source0:	http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz
# Source0-md5:	7f34a08e36aa77d4476d0919c52b59b6
URL:		http://www.bluez.org/
BuildRequires:	GConf2-devel >= 2.6
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	hal-devel >= 0.5.8
BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,preun):	GConf2 >= 2.6
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	shared-mime-info
Requires:	dbus-glib >= 0.60
Requires:	gtk+2 >= 2:2.10.0
Requires:	obex-data-server >= 0.3
Suggests:	gnome-vfs-obexftp
Obsoletes:	bluez-pin
Obsoletes:	gnome-bluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very simple program which takes care of the PIN numbers used
to pair Bluetooth devices. When a PIN is required for either an
incoming or outgoing connection, it pops up a window to allow the code
to be entered. PINs can optionally be saved in a persistent database,
for use with dumb devices that are unable to remember pairing
information across sessions.

%description -l pl.UTF-8
Bardzo prosty program pilnujący numerów PIN używanych do parowania
urządzeń Bluetooth. Kiedy wymagany jest PIN dla przychodzącego lub
wychodzącego połączenia, pokazuje okienko umożliwiające wprowadzenie
kodu. PIN-y opcjonalnie mogą być przechowywane w bazie danych do
używania z prymitywnymi urządzeniami nie potrafiącymi zapamiętać
informacji o parowaniu między sesjami.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-desktop-update \
	--disable-mime-update
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	autostartdir=%{_sysconfdir}/xdg/autostart

# error: bluez-gnome-0.28-1: req /usr/share/locale/mus/LC_MESSAGES not found
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/mus/LC_MESSAGES

%find_lang bluetooth-manager

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install bluetooth-manager.schemas
%update_mime_database
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall bluetooth-manager.schemas

%postun
%update_mime_database
%update_icon_cache hicolor

%files -f bluetooth-manager.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/bluetooth-analyzer
%attr(755,root,root) %{_bindir}/bluetooth-applet
%attr(755,root,root) %{_bindir}/bluetooth-browse
%attr(755,root,root) %{_bindir}/bluetooth-properties
%attr(755,root,root) %{_bindir}/bluetooth-sendto
%attr(755,root,root) %{_bindir}/bluetooth-wizard
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_desktopdir}/bluetooth-properties.desktop
%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas
%{_mandir}/man1/bluetooth-analyzer.1*
%{_mandir}/man1/bluetooth-applet.1*
%{_mandir}/man1/bluetooth-browse.1*
%{_mandir}/man1/bluetooth-properties.1*
%{_mandir}/man1/bluetooth-sendto.1*
%{_mandir}/man1/bluetooth-wizard.1*
%{_desktopdir}/bluetooth-analyzer.desktop
%{_datadir}/mime/packages/*.xml
%{_iconsdir}/hicolor/*/apps/bluetooth.png
%{_iconsdir}/hicolor/*/apps/bluetooth.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bluez-gnome.spec,v $
Revision 1.28  2008/10/12 16:10:19  patrys
- 1.8

Revision 1.27  2008/09/13 14:00:45  patrys
- 1.3
- added desktop patch

Revision 1.26  2008/08/31 16:15:59  arekm
- up to 1.2

Revision 1.25  2008/08/07 11:23:02  hawk
- error: bluez-gnome-0.28-1: req /usr/share/locale/mus/LC_MESSAGES not found

Revision 1.24  2008/08/06 19:38:15  arekm
- up to 0.28

Revision 1.23  2008-04-13 15:11:20  qboosh
- updated to 0.26

Revision 1.22  2008-03-23 20:23:49  patrys
- O: gnome-bluetooth
- rel 3

Revision 1.21  2008-03-23 18:05:44  patrys
- R: obex-data-server
- rel 2

Revision 1.20  2008-03-23 11:07:14  patrys
- 0.25

Revision 1.19  2008-01-04 14:53:41  sls
- ver. 0.15

Revision 1.18  2007-11-05 12:14:44  patrys
- S: gnome-vfs-obexftp

Revision 1.17  2007/10/20 17:23:16  megabajt
- added R(post,postun): shared-mime-info
- required newer version of rpm-build-macros

Revision 1.16  2007/08/30 16:28:52  qboosh
- fixed install

Revision 1.15  2007/08/30 14:59:49  wolvverine
- add intltoolize and new files

Revision 1.14  2007/08/30 02:24:10  wolvverine
- up to 0.14, NFY

Revision 1.13  2007/08/03 03:15:49  wolvverine
- lost files,path to autostart

Revision 1.12  2007/08/01 15:18:19  wolvverine
- up to 0.13

Revision 1.11  2007/07/15 01:43:34  qboosh
- rpm macros for gconf

Revision 1.10  2007/07/15 01:43:01  qboosh
- updated to 0.9
- removed obsolete as-needed patch

Revision 1.9  2007/04/30 07:51:29  qboosh
- use gtk+ 2.10 on HEAD (without compatibility code)
- missing BRs: GConf2-devel libnotify-devel

Revision 1.8  2007/04/30 07:17:34  matkor
- Release 1.1. Relaxed (B)R fro gtk+2 >= 2.10.

Revision 1.7  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.5  2006/11/09 22:09:06  aredridel
- 0.6

Revision 1.4  2006/09/24 18:50:07  luzik
- updated to 0.5

Revision 1.3  2006/08/23 17:03:20  qboosh
- runtime deps

Revision 1.2  2006/08/23 17:02:48  qboosh
- updated URL, fixed deps (note: gtk+ 2.8.0 is required, >= 2.9.0 is preferred)

Revision 1.1  2006/08/23 16:45:01  wrobell
- based on bluez-pin
